const path = require('path');
const webpack = require('webpack');

function resolveRoot(dir) {
  return path.join(__dirname, '..', dir);
}

module.exports = {
  entry: {
    vendor: ['babel-polyfill', 'react'],
    app: resolveRoot('src/index.js')
  },
  output: {
    filename: 'js/[name].[contenthash:8].js',
    path: resolveRoot('dist')
  },
  plugins: [new webpack.NamedModulesPlugin()],
  resolve: {
    extensions: ['.js', '.json', '.jsx', '.vue', '.scss', '.less'],
    alias: {
      '@utils': resolveRoot('src/utils/index.js'),
      '@static': resolveRoot('src/static'),
      '@': resolveRoot('src')
    }
  },
  optimization: {
    runtimeChunk: true,
    splitChunks: {
      chunks: 'all'
    }
  }
};
